Bug 96289 - Adopt a few more ports + minor tweaks
Summary: Adopt a few more ports + minor tweaks
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-24 23:20 UTC by Shaun Amott
Modified: 2006-05-14 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (500 bytes, patch)
2006-04-24 23:20 UTC, Shaun Amott
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shaun Amott 2006-04-24 23:20:16 UTC
Take responsibility for a few orphaned ports:

databases/p5-DBD-Google
www/p5-libwww [1]
devel/p5-File-Tail
misc/geekcode
net/GeoIP
news/newsgrab [2]
games/tuxracer
sysutils/cronolog [3]


[1] This port is still assigned to petef@, but the rest of his ports
    were reset. Was this one overlooked? In any case, the port needs an
    active maintainer, since people want it kept up-to-date.

[2] Patch to tidy up port a bit below.

[3] I submitted a patch for this almost three months ago - is this
    maintainer considered AWOL yet? :-) At the least, could someone
    apply my patch (PR ports/92830)?

    I have also now cut down pkg-descr to keep portlint happy (patch
    below)


All ports tested and portlint(1)'ed.

Fix: 

"cronolog" is intended to be used in conjunction with a Web server, such
-as Apache to split the access log into daily or monthly logs. For
-example the Apache configuration directives:
+as Apache to split the access log into daily or monthly logs. E.g.:

	TransferLog "|/www/sbin/cronolog /www/logs/%Y/%m/%d/access.log"
	ErrorLog    "|/www/sbin/cronolog /www/logs/%Y/%m/%d/errors.log"
@@ -14,22 +11,14 @@
 would instruct Apache to pipe its access and error log messages into
 separate copies of cronolog, which would create new log files each day
 in a directory hierarchy structured by date, i.e. on 31 December 1996
-messages would be written to
+messages would be written to:

	/www/logs/1996/12/31/access.log
	/www/logs/1996/12/31/errors.log

-after midnight the files
+After midnight the following files would be used:

	/www/logs/1997/01/01/access.log
	/www/logs/1997/01/01/errors.log

-would be used, with the directories 1997, 1997/01 and 1997/01/01 being
-created if they did not already exist.
-
-The most up-to-date version of "cronolog" can be found at:
-
-	WWW: http://cronolog.org/
-
-- Mark Blackman
-tmb@maddog.u-net.com
+WWW: http://cronolog.org/
--- cronolog.diff ends here -----dbSQ2XvQKJfmKjtqnCBA5DEZ3Ez575UmQyxS3xZWeeFKFfHG
Content-Type: text/plain; name="newsgrab.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="newsgrab.diff"

diff -urN news/newsgrab.orig/Makefile news/newsgrab/Makefile
--- news/newsgrab.orig/Makefile	Sat Apr 15 21:31:57 2006
+++ news/newsgrab/Makefile	Sun Apr 23 20:19:38 2006
@@ -13,7 +13,7 @@
 MASTER_SITE_SUBDIR=	newsgrab
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	shaun@inerd.com
 COMMENT=	Download and uudecode binary files from USENET using regexps
 
 RUN_DEPENDS=	${SITE_PERL}/News/NNTPClient.pm:${PORTSDIR}/news/p5-NNTPClient \
@@ -23,7 +23,8 @@
 
 NO_BUILD=	yes
 USE_PERL5=	yes
-USE_REINPLACE=	yes
+
+PORTDOCS=	README newsgrabrc
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|^#!/usr/bin/perl|#!${PERL}|' ${WRKSRC}/newsgrab.pl
@@ -31,9 +32,8 @@
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/newsgrab.pl ${PREFIX}/bin/newsgrab
 .if !defined(NOPORTDOCS)
-	@${MKDIR} ${PREFIX}/share/doc/newsgrab
-	${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/newsgrab
-	${INSTALL_DATA} ${WRKSRC}/newsgrabrc ${PREFIX}/share/doc/newsgrab
+	@${MKDIR} ${DOCSDIR}
+	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>
diff -urN news/newsgrab.orig/pkg-plist news/newsgrab/pkg-plist
--- news/newsgrab.orig/pkg-plist	Mon Aug  5 00:02:19 2002
+++ news/newsgrab/pkg-plist	Sun Apr 23 20:17:49 2006
@@ -1,4 +1 @@
 bin/newsgrab
-%%PORTDOCS%%share/doc/newsgrab/README
-%%PORTDOCS%%share/doc/newsgrab/newsgrabrc
-%%PORTDOCS%%@dirrm share/doc/newsgrab
Comment 1 Mark Linimon 2006-04-29 08:23:23 UTC
Indeed I should have reset www/p5-libwww with the others.  I have now done
this.  I will also send mail to the maintainer of sysutils/cronolog asking
if they want to keep the port.
Comment 2 Mark Linimon 2006-04-29 16:27:55 UTC
----- Forwarded message from Mark Blackman <mark@blackmans.org> -----

On 29 Apr 2006, at 08:28, Mark Linimon wrote:

>In the cited PR, the submitter mentions that he had filed ports/92830 some
>time ago against sysutils/cronolog.  You have apparently not responded to
>that one; are you still interested in maintaining this port, or should I
>feel free to assign it to the committer?

Sure assign it to the committer, although his patches are indeed patches
against the original source and not the actual canonical source. I.e.
the original source hasn't been updated for some time. However, the patches
are a good idea, I'd just rather see them go in through the software author
than through the ports system.

In any case, I'm quite busy these days, so please reassign.

Cheers,
Mark
Comment 3 Vasil Dimov freebsd_committer 2006-05-04 15:57:54 UTC
Note to the futher committer: I just committed the sysutils/cronolog
patch included in this PR.

Shaun, please submit different PRs next time when the diffs you want
committed do not depend on each other, thanks for your patches!

-- 
Vasil Dimov
gro.DSBeerF@dv

Testing can show the presence of bugs, but not their absence.
                -- Edsger W. Dijkstra
Comment 4 Shaun Amott 2006-05-10 23:32:15 UTC
On Mon, Apr 24, 2006 at 11:11:43PM +0100, Shaun Amott wrote:
> 
> Take responsibility for a few orphaned ports:
> 
> databases/p5-DBD-Google
> www/p5-libwww [1]
> devel/p5-File-Tail
> misc/geekcode
> net/GeoIP
> news/newsgrab [2]
> games/tuxracer
> sysutils/cronolog [3]
> 

To clarify: I'm offering to maintain these ports. Please assign them to
shaun@inerd.com; I submitted a single PR because I thought it would be
easier, for such a simple change. Looks like it had the opposite effect
-- sorry.
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-12 14:40:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-14 16:00:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!